#ifndef defines_h
#define defines_h
//// Modes
#define VIEW_MODE 1
#define EDIT_MODE 2
#define RUN_MODE 3
#define CALIB_MODE 4

//// Modes
#define KANGLE 10

////  PARAMS
#define SPEED_MIN 0
#define SPEED_MAX 4300
#define SPEED_STEP 50

#define ROT_MIN 0
#define ROT_MAX 200000000  
#define ROT_STEP 1000

#define ACC_MIN 0
#define ACC_MAX 5000
#define ACC_STEP 100

#define NUM_PROGRAMS 4
#define PRESET_SIZE 14

#define CW -1  //clockwise
#define CCW 1  //counterclockwise

// parameter num
#define SPEEED 0
#define ROT 1
#define ACC 2
#define DIR 3

/////////Ir buttons map
#define BTN_POWER      23842         // pos 0 0
#define BTN_VOL_U      24480         // pos 0 1
#define BTN_FUNC       23587         // pos 0 2

#define BTN_RW         31747         // pos 1 0
#define BTN_PLAY       29962         // pos 1 1
#define BTN_FW         31492         // pos 1 2

#define BTN_CH_D       23970         // pos 2 0
#define BTN_VOL_D      29452         // pos 2 1
#define BTN_CH_U       24097         // pos 2 2


#define BTN_0          29835         // pos 3 0
#define BTN_EQ         30982         // pos 3 1
#define BTN_ST         30855         // pos 3 2

#define BTN_1          31110         // pos 4 0
#define BTN_2          29580         // pos 4 1
#define BTN_3          20655         // pos 4 2
#define BTN_4          31620         // pos 5 0
#define BTN_5          29070         // pos 5 1
#define BTN_6          21165         // pos 5 2
#define BTN_7          24225         // pos 6 0
#define BTN_8          22185         // pos 6 1
#define BTN_9          23205         // pos 6 2

/////////  buttons map
#define btn_VIEW_EDIT_RUN  52
#define btn_PREV_PRG   53
#define btn_NEXT_PRG   54
#define btn_PREV_POS   56
#define btn_NEXT_POS   57
#define btn_VAL_PLUS   35
#define btn_VAL_MINUS   48
#define btn_EDIT_OK  55
#define btn_EDIT_ESC  42
#define btn_ADD_PRG  55
#define btn_DEL_PRG  42
#define btn_START   35
#define btn_END_RUN   35
#define btn_FON_RUN   52
#define btn_END_CALIB   52
#define btn_CALIB   48

#define btnLEFT   103
#define btnSELECT 104
#define btnNONE   105

char valstring[6][4]={"+  ","-  ","+- ","-+ ","no ","yes"};
int kdirs[4]={1,-1,1,-1};
#endif
