   
// вывод первой строки LCD
void lcd_str1(int mod)
 {
 lcd.setCursor(0,1);lcd.print("               ");
 lcd.setCursor(0,0);lcd.print("               ");
 lcd.setCursor(0,0);
 if(mod==VIEW_MODE)
    lcd.print(" ");
 else if(mod==EDIT_MODE)
    lcd.print("*");
 else if(mod==RUN_MODE)
    lcd.print("#");
 else
    lcd.print("%");
 if(mod==RUN_MODE)
   {
   lcd.setCursor(2,0);lcd.print("prg ");
   lcd.setCursor(6,0);lcd.print(RUN1.tekrunprg);
   }
 else if(mod==CALIB_MODE)
   {
   lcd.setCursor(2,0);lcd.print("kalibrovka");
   }
 else
   {
   lcd.setCursor(2,0);lcd.print("prg ");
   lcd.setCursor(6,0);lcd.print(VIEW1.tek_prg);
   lcd.setCursor(8,0);lcd.print("of");
   lcd.setCursor(11,0);lcd.print(VIEW1.count_prg);
   } 
 } 
// отображение получения ir-кода или нажатия клавиши
void lcd_get_key(int simv)
 {
 lcd.setCursor(14,0);
 if(simv==1)
    lcd.print("^*");
 else if(simv==2)
    lcd.print("^#");
 else 
    lcd.print("  ");
 } 
// вывод инфо сообщений в режиме просмотра и редактирования
void lcd_message1(char* str)
 {
 lcd.setCursor(0,1);
 lcd.print("               ");
 lcd.setCursor(0,1);
 lcd.print(str);
 delay(3000);
 }
// вывод второй строки LCD (просмотр, редактирование)
void lcd_str2ve()
 {
 lcd.setCursor(0,1);lcd.print("                ");
 lcd.setCursor(0,1);
 switch(VIEW1.pos_prg)
   {
   case 0:  
       lcd.setCursor(0,1);lcd.print("all_steps");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   case 1:  
       lcd.setCursor(0,1);lcd.print("one_step");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   case 2:  
       lcd.setCursor(0,1);lcd.print("speed");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   case 3:  
       lcd.setCursor(0,1);lcd.print("direct");
       lcd.setCursor(11,1);
       for(int j=0;j<3;j++)
          lcd.print(valstring[VIEW1.val[VIEW1.pos_prg]][j]);
       break;
   case 4:  
       lcd.setCursor(0,1);lcd.print("circles");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   case 5:  
       lcd.setCursor(0,1);lcd.print("autophoto");
       lcd.setCursor(11,1);
       for(int j=0;j<3;j++)
          lcd.print(valstring[4+VIEW1.val[VIEW1.pos_prg]][j]);
       break;
   case 6:  
       lcd.setCursor(0,1);lcd.print("stopphoto");
       lcd.setCursor(11,1);
       for(int j=0;j<3;j++)
          lcd.print(valstring[4+VIEW1.val[VIEW1.pos_prg]][j]);
       break;
   case 7:  
       lcd.setCursor(0,1);lcd.print("reserve");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   case 8:  
       lcd.setCursor(0,1);lcd.print("pause");
       lcd.setCursor(11,1);lcd.print(VIEW1.val[VIEW1.pos_prg]);
       break;
   default:  
       break;
   }
 } 
//  вывод 2 строки - исполнение
void lcd_str2run()
 {
 lcd.setCursor(0,1);lcd.print("               ");
 lcd.setCursor(0,1);
 lcd.print(RUN1.steps);
 lcd.setCursor(5,1);
 lcd.print(RUN1.countstep);
 lcd.setCursor(8,1);
 lcd.print(RUN1.step*RUN1.countstep);
 lcd.setCursor(13,1);
 lcd.print(RUN1.tekcircle);
 lcd.setCursor(15,1);
 lcd.print(valstring[RUN1.tekdirection]);
 }
//  вывод 2 строки - исполнение
void lcd_str2calib(long pos)
 {
 lcd.setCursor(0,1);lcd.print("               ");
 lcd.setCursor(0,1);
 lcd.print(pos);
 } 
